package es.verdnatura.presentation.common

import android.graphics.drawable.Drawable
import es.verdnatura.presentation.view.feature.ajustes.model.AjustesItemVO
import es.verdnatura.presentation.view.feature.articulo.model.BarcodeVO
import es.verdnatura.presentation.view.feature.articulo.model.ItemCardRowVO
import es.verdnatura.presentation.view.feature.articulo.model.ItemProposal
import es.verdnatura.presentation.view.feature.buscaritem.model.ItemLocationVO
import es.verdnatura.presentation.view.feature.faltas.model.ItemFaltasVO
import es.verdnatura.presentation.view.feature.inventario.model.ItemInventaryVO
import es.verdnatura.presentation.view.feature.paletizador.model.ItemExpeditionScanVO
import es.verdnatura.presentation.view.feature.paletizador.model.ItemExpeditionTruckVO
import es.verdnatura.presentation.view.feature.paletizador.model.ItemPalletVO
import es.verdnatura.presentation.view.feature.pasillero.model.PasillerosItemVO
import es.verdnatura.presentation.view.feature.reubication.model.Reubication
import es.verdnatura.presentation.view.feature.sacador.model.CollectionVO
import es.verdnatura.presentation.view.feature.sacador.model.SaleVO
import es.verdnatura.presentation.view.feature.smarttag.model.SmartTag
import es.verdnatura.presentation.view.feature.ubicador.model.ItemUbicadorVO
import es.verdnatura.presentation.view.feature.workermistake.model.WorkerFromMistake

interface OnOptionsSelectedListener {
    fun onOptionsItemSelected(item: Drawable)
}


interface OnPasillerosItemClickListener {
    fun onPasillerosItemClickListener(item: PasillerosItemVO, entryPoint: String)
}

interface onMistakeWorkerClickListener {
    fun onMistakeWorkerClickListener(item: WorkerFromMistake)
}


interface hideBottomNavigation {
    fun hideBottomNavigation(entryPoint: String)
}

interface OnAjustesItemClickListener {
    fun onAjustesItemClickListener(item: AjustesItemVO)
}


interface OnItemCardRowClickListener {
    fun onItemCardRowClickListener(item: ItemCardRowVO)
}
/*interface OnItemExpeditionStateRowClickListener {
    fun OnItemExpeditionStateRowClickListener(item: ItemExpeditionStateRow)
}*/

interface OnBarcodeRowClickListener {
    fun onBarcodeRowClickListener(item: BarcodeVO)
}

interface OnSmartTagRowClickListener {
    fun OnSmartTagRowClickListener(item: SmartTag)
}

interface OnGeneralItemRowClickListener {
    fun OnGeneralItemRowClickListener(item: GeneralItem)
}

interface OnLocationRowClickListener {
    fun onLocationRowClickListener(item: ItemLocationVO)
}

interface OnInvetoryNichoClickListener {
    fun onInvetoryNichoClickListener(item: ItemInventaryVO)
}

interface OnItemProposalClickListener {
    fun onItemProposalClickListener(item: ItemProposal)
}

interface OnFaltasNichoClickListener {
    fun onFaltasNichoClickListener(item: ItemFaltasVO)
}

interface OnFaltasReviewClickListener {
    fun onFaltasReviewClickListener(item: ItemFaltasVO)
}

interface OnAutomaticItemClickListener {
    fun onAutomaticItemClickListener(position: Int)
}

interface OnVisibleClickListener {
    fun onVisibleClickListener(item: ItemUbicadorVO)
}

interface OnMoreClickListener {
    fun onMoreClickListener(item: ItemUbicadorVO)
}

interface OnTruckClickListener {
    fun onTruckClickListener(item: ItemExpeditionTruckVO, entryPoint: String)
}

interface OnPalletClickListener {
    fun onPalletClickListener(itemTruck: ItemExpeditionTruckVO, itemPallet: ItemPalletVO)
}

interface OnComprobarPalletViewClickListener {
    fun onComprobarPalletViewClickListener(
        itemTruck: ItemExpeditionTruckVO,
        itemPallet: ItemPalletVO
    )
}

interface OnScanLongClickListener {
    fun onScanLongClickListener(ItemExpeditionScanVO: ItemExpeditionScanVO)
}

interface OnCollectionSelectedListener {
    fun onCollectionSelected(collection: CollectionVO, type: String)
}

interface OnQuantityClickListener {
    fun onQuantityClick(sale: SaleVO)
}

interface onPackingClickListener {
    fun onPackingClick(sale: SaleVO)
}

interface OnSaleClickListener {
    fun onSaleClick(sale: SaleVO)
}

interface OnReubicationClickListener {
    fun onReubicationClick(reubication: Reubication)
}

interface OnMistakeClickListener {
    fun onMistakeClickListener(sale: SaleVO)
}

interface OnBuyerSelectedListener {
    fun onBuyerSelected(userFk: String)
}

interface OnStarSelectedListener {
    fun onStarSelected(vId: String, vStars: String)
}

interface onVehicleSelected {
    fun onVehicleClick(userFk: String)
}

